.block-container {
	max-width: 1440px;
	padding: 0 80px;
	margin: 0 auto;
	width: 100%;
	box-sizing: border-box;
}

.container-page {
	max-width: 100%;
}

/* Контейнер */
@media(max-width: 768px) {
	.block-container {
		padding: 0 50px;
	}
}

@media(max-width: 500px) {
	.block-container {
		padding: 0 16px;
	}
}


.block-container.container-and-menu {
	display: flex;
	gap: 20px;
}


/* Меню для категорий  */

.block-container.container.container-nav.active{
	display: flex;
	gap: 20px;
	justify-content: space-between;
}

.block-container.container.container-nav {
	margin-bottom: 130px;
}

.container-nav.active .varinety-container {
	width: 80%;
}

.container-nav.active .nav__subcategories-product-card {
	width: 20%;
	min-width: 280px;
	box-sizing: border-box;
	position: relative;
	padding-right: 24px;
	border-right: 1px solid #0000001a;
}


.nav-item.active {
 	color: var(--brand200) !important;
}

.nav-item-container {
	display: flex;
	flex-direction: column;
	gap: 15px;
	padding: 15px;
	border-radius: 12px;
	background-color: var(--brand100);
	position: sticky;
	top: 140px;
}

.nav__subcategories-product-card .nav-item {
	font-weight: 500;
	font-size: 16px;
	line-height: 150%;
	color: var(--white);
	transition: .3s linear;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
}

.nav__subcategories-product-card .nav-item:hover{
	color: var(--brand200);
}

.nav-item-container__arrow {
	display: none;
}

.container-nav.active {
	display: flex;
	margin-bottom: 46px;
	gap: 20px;
	min-width: 280px;
}


@media(max-width: 1240px) {

	/* Меню для категорий  */

	.block-container.container.container-nav.active {
		flex-direction: column;
	}

	.container-nav.active .nav__subcategories-product-card {
		width: 100%;
		min-width: 280px;
		box-sizing: border-box;
		padding-right: 0px;
		border-right: none
	}

	.container-nav.active .varinety-container {
		width: 100%;
	}

	.block-container.container-and-menu {
		flex-direction: column;

	}

	.block-container.container-and-menu .container-nav {
		margin-bottom: 0;
	}

	.nav-item-container {
		max-height: 60px; 
		transition: max-height 0.4s ease-out;
		padding: 15px 40px 15px 15px;
		position: relative;
		top: auto;
	}

	.nav-item-container .nav-item.nav-item-hidden {
		display: none;
	}

	.nav__subcategories-product-card.open .nav-item-container {
		max-height: 1000px; 
	}

	.nav__subcategories-product-card.open .nav-item-container .nav-item {
		display: -webkit-box;
	}

	.nav__subcategories-product-card.open .nav-item-container .nav-item.nav-item-hidden {
		display: -webkit-box;
	}



	.nav-item-container__arrow {
		position: absolute;
		width: 20px;
		height: 20px;
		top: 15px;
		right: 15px;
		cursor: pointer;
		display: flex;
		align-items: center;
		justify-content: center;
	}

	.nav-item-container__arrow::after{
		content: "";
		-webkit-mask-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='17' height='9' viewBox='0 0 17 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M0.75 0.75L8.25 8.25L15.75 0.75' stroke='black' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
		mask-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='17' height='9' viewBox='0 0 17 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M0.75 0.75L8.25 8.25L15.75 0.75' stroke='black' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
		background-color: var(--brand200);
		height: 17px;
		width: 17px;
		display: block;
		mask-size: 17px 17px;
		transition: transform 0.3s ease;
	}

	.open .nav-item-container__arrow::after{
		transform: rotate(180deg);
		transition: transform 0.3s ease;
	}

}